import { httpAxios_gym, httpAxios_gyt } from "@/api/ApiInstance"

/** 管乐迷 */

// 获取课程详情
export const getCurrentCourseDetail_gym = (id: string) => {
   return httpAxios_gym.axioseRquest({
      method: "get",
      url: "/api-teacher/teacherCourseSchedule/getCurrentCourseDetail",
      params: {
         courseID: id
      }
   })
}
// 获取课件详情 详情展示用
export const getLessonCourseDetail_gym = (id: string) => {
   return httpAxios_gym.axioseRquest({
      method: "get",
      url: "/api-teacher/lessonCourseware/getLessonCourseDetail/" + id
   })
}

//获取课程列表
export const queryLessonCourseware_gym = () => {
   return httpAxios_gym.axioseRquest({
      method: "post",
      url: "/api-teacher/lessonCourseware/queryLessonCourseware",
      data: {
         query: {
            page: 1,
            rows: 9999
         }
      }
   })
}
// 课程详情列表
export const getLessonCoursewareCourseList_gym = (id: string) => {
   return httpAxios_gym.axioseRquest({
      method: "get",
      url: "/api-teacher/lessonCourseware/getLessonCoursewareCourseList/" + id
   })
}
// 设置课件
export const setCoursewareDetail_gym = (id: string, courseId: string) => {
   return httpAxios_gym.axioseRquest({
      method: "get",
      url: `/api-teacher/teacher/configCourseware`,
      params: {
         courseId,
         coursewareDetailId: id
      }
   })
}
// 获取当月所有的课程日期 month=2024-04
export const getCourseScheduleDateByMonth_gym = (date: string, abortController: AbortController) => {
   return httpAxios_gym.axioseRquest({
      method: "get",
      signal: abortController.signal,
      url: `/api-teacher/teacherCourseSchedule/getCourseScheduleDateByMonth?month=${date}`
   })
}
// 获取当天的课程列表 date=2024-04-03
export const getCourseSchedulesWithDate_gym = (date: string, abortController: AbortController) => {
   return httpAxios_gym.axioseRquest({
      method: "get",
      signal: abortController.signal,
      url: `/api-teacher/teacherCourseSchedule/getCourseSchedulesWithDate?date=${date}`
   })
}
/**
 * 管乐团
 */

// 获取课程详情
export const getCourseScheduleDetail_gyt = (id: string) => {
   return httpAxios_gyt.axioseRquest({
      method: "get",
      url: "/api-teacher/courseSchedule/detail/" + id
   })
}
// 获取课程能选择的课件列表
export const getCourseware_gyt = (id: string) => {
   return httpAxios_gyt.axioseRquest({
      method: "post",
      url: "/api-teacher/courseSchedule/getCourseware/" + id
   })
}

// 获取课件详情 配置课件用
export const getCoursewareDetail_gyt = (id: string, courseId: string) => {
   return httpAxios_gyt.axioseRquest({
      method: "post",
      url: `/api-teacher/courseSchedule/getCoursewareDetail?courseScheduleId=${courseId}&coursewareId=${id}`
   })
}
// 设置课件
export const setCoursewareDetail_gyt = (id: string, courseId: string) => {
   return httpAxios_gyt.axioseRquest({
      method: "post",
      url: `/api-teacher/courseSchedule/setCoursewareDetail?courseScheduleId=${courseId}&coursewareDetailId=${id}`
   })
}

// 获取课件详情 详情展示用
export const getLessonCoursewareDetail_gyt = (id: string) => {
   return httpAxios_gyt.axioseRquest({
      method: "get",
      url: "/api-teacher/lessonCoursewareDetail/detail/" + id
   })
}

// 获取当月所有的课程日期 month=2024-04
export const getCourseScheduleDateByMonth_gyt = (date: string, abortController: AbortController) => {
   return httpAxios_gyt.axioseRquest({
      signal: abortController.signal,
      method: "post",
      url: `/api-teacher/courseSchedule/calendar`,
      data: {
         classMonth: date
      }
   })
}
// 获取当天的课程列表 date=2024-04-03
export const getCourseSchedulesWithDate_gyt = (date: string, abortController: AbortController) => {
   return httpAxios_gyt.axioseRquest({
      signal: abortController.signal,
      method: "post",
      url: `/api-teacher/courseSchedule/page`,
      data: {
         classDate: date
      }
   })
}
